Subject: Re: [BUG] "git-mergetool -t emerge" does not fully die on Ctrl-C

From: David Aguilar <[email-masked]>
Date: Wed, 27 May 2009 23:05:08 -0700

On Tue, May 12, 2009 at 11:38:04AM +0200, Yann Dirson wrote:
> While playing with the various tools supported by mergetool, I noticed
> that, while with most tools you can just use Ctrl-C and git-mergetool as
> well as the external tool get killed, the behaviour with emerge looks
> buggy: whereas the toplevel "git" process gets killed, the children
> git-mergetool as well as emacs are not impacted, and the merge continues
> in the background.

Sorry for the late reply (your email got lost in the traffic).

We don't do anything particularly special for emerge.
Can you identify a specific flag or setting that might be
causing this?

I just tried emerge with difftool and it worked just fine.
What platform are you on, etc.?

-- 

	David